﻿using System;
using System.Linq;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using TreeViewAndJSON.ViewModels;

namespace TreeViewAndJSON
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			this.InitializeComponent();
			this.DataContext = new MainViewModel();
		}

		private void TreeView_LoadOnDemand(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			var container = e.OriginalSource as RadTreeViewItem;
			if (container == null)
			{
				return;
			}
			var cat = container.DataContext as CategoryViewModel;
			if (cat == null)
			{
				container.IsLoadingOnDemand = false;
				container.IsLoadOnDemandEnabled = false;
				return;
			}
			cat.LoadImages();
		}

        private void RadTreeView_ItemPrepared(object sender, RadTreeViewItemPreparedEventArgs e)
        {
            if (e.PreparedItem.Item is ImageViewModel)
                e.PreparedItem.IsLoadOnDemandEnabled = false;
        }
	}
}