﻿using System;
using System.IO;
using System.Runtime.Serialization.Json;
using Telerik.Windows.Data;

namespace TreeViewAndJSON.ViewModels
{
	public class ViewModelBase
	{
		public static RadObservableCollection<T> DeserializeJson<T>(Stream stream)
		{
			var json = new DataContractJsonSerializer(typeof(RadObservableCollection<T>));
			return json.ReadObject(stream) as RadObservableCollection<T>;
		}
	}
}